## geany 1.23+dfsg

=== wscript ===
# -*- coding: utf-8 -*-
#
# WAF build script - this file is part of Geany, a fast and lightweight IDE
#
# Copyright 2008-2012 Enrico Tröger <enrico(dot)troeger(at)uvena(dot)de>
# Copyright 2008-2012 Nick Treleaven <nick(dot)treleaven(at)btinternet(dot)com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

"""
This is a WAF build script (http://code.google.com/p/waf/).
It can be used as an alternative build system to autotools
for Geany. It does not (yet) cover all of the autotools tests and
configure options but all important things are working.
"make dist" should be done with autotools, most other targets and
functions should work better (regarding performance and flexibility)
or at least equally.

Missing features: --enable-binreloc, make targets: dist, pdf (in doc/)
Known issues: Dependency handling is buggy, e.g. if src/document.h is
              changed, depending source files are not rebuilt (maybe Waf bug).

The code of this file itself loosely follows PEP 8 with some exceptions
(line width 100 characters and some other minor things).

Requires WAF 1.6.1 and Python 2.5 (or later).
"""


import sys
import os
import tempfile
from waflib import Logs, Options, Scripting, Utils
from waflib.Configure import ConfigurationContext
from waflib.Errors import WafError
from waflib.TaskGen import feature


APPNAME = 'geany'
VERSION = '1.23'
LINGUAS_FILE = 'po/LINGUAS'
MINIMUM_GTK_VERSION = '2.16.0'
MINIMUM_GLIB_VERSION = '2.20.0'

top = '.'
out = '_build_'


mio_sources = set(['tagmanager/mio/mio.c'])

ctags_sources = set([
    'tagmanager/ctags/abaqus.c',
    'tagmanager/ctags/args.c',
    'tagmanager/ctags/abc.c',
    'tagmanager/ctags/actionscript.c',
    'tagmanager/ctags/asciidoc.c',
    'tagmanager/ctags/asm.c',
    'tagmanager/ctags/basic.c',
    'tagmanager/ctags/c.c',
    'tagmanager/ctags/cobol.c',
    'tagmanager/ctags/conf.c',
    'tagmanager/ctags/css.c',
    'tagmanager/ctags/ctags.c',
    'tagmanager/ctags/diff.c',
    'tagmanager/ctags/docbook.c',
    'tagmanager/ctags/entry.c',
    'tagmanager/ctags/fortran.c',
    'tagmanager/ctags/get.c',
    'tagmanager/ctags/haskell.c',
    'tagmanager/ctags/haxe.c',
    'tagmanager/ctags/html.c',
    'tagmanager/ctags/js.c',
    'tagmanager/ctags/keyword.c',
    'tagmanager/ctags/latex.c',
    'tagmanager/ctags/lregex.c',
    'tagmanager/ctags/lua.c',
    'tagmanager/ctags/make.c',
    'tagmanager/ctags/markdown.c',
    'tagmanager/ctags/matlab.c',
    'tagmanager/ctags/nsis.c',
    'tagmanager/ctags/nestlevel.c',
    'tagmanager/ctags/objc.c',
    'tagmanager/ctags/options.c',
    'tagmanager/ctags/parse.c',
    'tagmanager/ctags/pascal.c',
    'tagmanager/ctags/r.c',
    'tagmanager/ctags/perl.c',
    'tagmanager/ctags/php.c',
    'tagmanager/ctags/python.c',
    'tagmanager/ctags/read.c',
    'tagmanager/ctags/rest.c',
    'tagmanager/ctags/ruby.c',
    'tagmanager/ctags/sh.c',
    'tagmanager/ctags/sort.c',
    'tagmanager/ctags/sql.c',
    'tagmanager/ctags/strlist.c',
    'tagmanager/ctags/txt2tags.c',
    'tagmanager/ctags/tcl.c',
    'tagmanager/ctags/vhdl.c',
    'tagmanager/ctags/verilog.c',
    'tagmanager/ctags/vstring.c'])

tagmanager_sources = set([
    'tagmanager/src/tm_file_entry.c',
    'tagmanager/src/tm_project.c',
    'tagmanager/src/tm_source_file.c',
    'tagmanager/src/tm_symbol.c',
    'tagmanager/src/tm_tag.c',
    'tagmanager/src/tm_tagmanager.c',
    'tagmanager/src/tm_work_object.c',
    'tagmanager/src/tm_workspace.c'])

scintilla_sources = set(['scintilla/gtk/scintilla-marshal.c'])

geany_sources = set([
    'src/about.c', 'src/build.c', 'src/callbacks.c', 'src/dialogs.c', 'src/document.c',
    'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
    'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
    'src/highlighting.c', 'src/keybindings.c',
    'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
    'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
    'src/symbols.c',
    'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/sidebar.c',
    'src/ui_utils.c', 'src/utils.c'])

geany_icons = {
    'hicolor/16x16/apps':       ['16x16/classviewer-class.png',
                                 '16x16/classviewer-macro.png',
                                 '16x16/classviewer-member.png',
                                 '16x16/classviewer-method.png',
                                 '16x16/classviewer-namespace.png',
                                 '16x16/classviewer-other.png',
                                 '16x16/classviewer-struct.png',
                                 '16x16/classviewer-var.png',
                                 '16x16/geany.png'],
    'hicolor/16x16/actions':    ['16x16/geany-build.png',
                                 '16x16/geany-close-all.png',
                                 '16x16/geany-save-all.png'],
    'hicolor/24x24/actions':    ['24x24/geany-build.png',
                                 '24x24/geany-close-all.png',
                                 '24x24/geany-save-all.png'],
    'hicolor/32x32/actions':    ['32x32/geany-build.png',
                                 '32x32/geany-close-all.png',
                                 '32x32/geany-save-all.png'],
    'hicolor/48x48/actions':    ['48x48/geany-build.png',
                                 '48x48/geany-close-all.png',
                                 '48x48/geany-save-all.png'],
    'hicolor/48x48/apps':       ['48x48/geany.png'],
    'hicolor/scalable/apps':    ['scalable/geany.svg'],
    'hicolor/scalable/actions': ['scalable/geany-build.svg',
                                 'scalable/geany-close-all.svg',
                                 'scalable/geany-save-all.svg'],
    'Tango/16x16/actions':      ['tango/16x16/geany-save-all.png'],
    'Tango/24x24/actions':      ['tango/24x24/geany-save-all.png'],
    'Tango/32x32/actions':      ['tango/32x32/geany-save-all.png'],
    'Tango/48x48/actions':      ['tango/48x48/geany-save-all.png'],
    'Tango/scalable/actions':   ['tango/scalable/geany-save-all.svg']
}
geany_icons_indexes = {
    'hicolor':  ['index.theme'],
    'Tango':    ['tango/index.theme']
}


def configure(conf):

    conf.check_waf_version(mini='1.6.1')

    conf.load('compiler_c')
    is_win32 = _target_is_win32(conf)

    conf.check_cc(header_name='fcntl.h', mandatory=False)
    conf.check_cc(header_name='fnmatch.h', mandatory=False)
    conf.check_cc(header_name='glob.h', mandatory=False)
    conf.check_cc(header_name='sys/time.h', mandatory=False)
    conf.check_cc(header_name='sys/types.h', mandatory=False)
    conf.check_cc(header_name='sys/stat.h', mandatory=False)
    conf.define('HAVE_STDLIB_H', 1)  # are there systems without stdlib.h?
    conf.define('STDC_HEADERS', 1)  # an optimistic guess ;-)
    _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)  # needed for CTags

    conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
    conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
    conf.check_cc(function_name='gethostname', header_name='unistd.h', mandatory=False)
    conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
    conf.check_cc(function_name='strstr', header_name='string.h')

    # check sunOS socket support
    if Options.platform == 'sunos':
        conf.check_cc(function_name='socket', lib='socket',
                      header_name='sys/socket.h', uselib_store='SUNOS_SOCKET', mandatory=True)

    # check for cxx after the header and function checks have been done to ensure they are
    # checked with cc not cxx
    conf.load('compiler_cxx')
    if is_win32:
        conf.load('winres')
    _load_intltool_if_available(conf)

    # GTK / GIO version check
    conf.check_cfg(package='gtk+-2.0', atleast_version=MINIMUM_GTK_VERSION, uselib_store='GTK',
        mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='glib-2.0', atleast_version=MINIMUM_GLIB_VERSION, uselib_store='GLIB',
        mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
        mandatory=True, args='--cflags --libs')
    conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
    conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')

    # Windows specials
    if is_win32:
        if conf.env['PREFIX'].lower() == tempfile.gettempdir().lower():
            # overwrite default prefix on Windows (tempfile.gettempdir() is the Waf default)
            new_prefix = os.path.join(str(conf.root), '%s-%s' % (APPNAME, VERSION))
            _add_to_env_and_define(conf, 'PREFIX', new_prefix, quote=True)
            _add_to_env_and_define(conf, 'BINDIR', os.path.join(new_prefix, 'bin'), quote=True)
        _add_to_env_and_define(conf, 'DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), quote=True)
        _add_to_env_and_define(conf, 'LIBDIR', conf.env['PREFIX'], quote=True)
        conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
        # overwrite LOCALEDIR to install message catalogues properly
        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
        # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
        conf.undefine('DATADIR')
        conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
        conf.env.append_value('LINKFLAGS_cprogram', ['-mwindows'])
        conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
    else:
        conf.env['cshlib_PATTERN'] = '%s.so'
        # DATADIR and LOCALEDIR are defined by the intltool tool
        # but they are not added to the environment, so we need to
        _add_define_to_env(conf, 'DATADIR')
        _add_define_to_env(conf, 'LOCALEDIR')
        docdir = os.path.join(conf.env['DATADIR'], 'doc', 'geany')
        libdir = os.path.join(conf.env['PREFIX'], 'lib')
        mandir = os.path.join(conf.env['DATADIR'], 'man')
        _define_from_opt(conf, 'DOCDIR', conf.options.docdir, docdir)
        _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
        _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)

    revision = _get_git_rev(conf)

    conf.define('ENABLE_NLS', 1)
    conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
    conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)
    conf.define('GEANY_DOCDIR', conf.env['DOCDIR'], quote=True)
    conf.define('GEANY_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], quote=True)
    conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
    conf.define('PACKAGE', APPNAME, quote=True)
    conf.define('VERSION', VERSION, quote=True)
    conf.define('REVISION', revision or '-1', quote=True)

    conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)

    # no VTE on Windows
    if is_win32:
        conf.options.no_vte = True

    _define_from_opt(conf, 'HAVE_PLUGINS', not conf.options.no_plugins, None)

=== debian/changelog ===
geany (1.23+dfsg-2) unstable; urgency=low

  * Upload to unstable, fixes FTBFS (Closes: #707368)
  * [a472a80] Enable parallel builds
  * [17a6378] No-change bump of Standards-Version to 3.9.4
  * [ea78f31] Add README.source describing git branch structure

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 10 May 2013 15:27:35 +0800

geany (1.23+dfsg-1) experimental; urgency=low

  * [eead8ee] Imported Upstream version 1.23+dfsg
  * [6d56635] use debian-branch = experimental
  * [d555dec] refresh patches against 1.23

 -- Evgeni Golov <evgeni@debian.org>  Wed, 13 Mar 2013 07:28:40 +0100

## geany 1.23.1+dfsg

=== wscript ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 
 APPNAME = 'geany'
-VERSION = '1.23'
+VERSION = '1.23.1'
 LINGUAS_FILE = 'po/LINGUAS'
 MINIMUM_GTK_VERSION = '2.16.0'
 MINIMUM_GLIB_VERSION = '2.20.0'

=== debian/changelog ===
geany (1.23.1+dfsg-1) unstable; urgency=low

  * [3b1ced4] Imported Upstream version 1.23.1+dfsg
  * [b418909] Update debian-branch in gbp.conf

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 20 May 2013 00:18:56 +0800

=== debian/control ===
Source: geany
Section: devel
Priority: optional
Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
 Evgeni Golov <evgeni@debian.org>
Homepage: http://www.geany.org
Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
Standards-Version: 3.9.4

Package: geany
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, geany-common (= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Provides: ${geany:Provides}
Breaks: geany-plugins-common (<< 0.21)
Suggests: libvte9, doc-base
Description: fast and lightweight IDE
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation

Package: geany-common
Depends: ${misc:Depends}
Replaces: geany (<< 0.21-1~)
Breaks: geany (<< 0.21-1~)
Architecture: all
Description: fast and lightweight IDE -- common files
 Geany is a small and lightweight integrated development environment.
 It was developed to provide a small and fast IDE, which has only a
 few dependencies from other packages. It is using only the GTK2 toolkit
 and therefore you need only the GTK2 runtime libraries to run Geany.
 .
 The basic features of Geany are:
  - syntax highlighting
  - code completion
  - auto completion of constructs like if, for and while, XML and HTML
  - call tips
  - folding
  - many supported filetypes like C, Java, PHP, HTML, Python, Perl, Pascal
  - symbol lists
  - embedded terminal emulation
 .
 This package contains arch independent files.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=autoreconf --parallel

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
dfsg_version = $(upstream_version)+dfsg
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

get-orig-source:
	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	rm $(pkg)-$(dfsg_version)/waf
	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
	rm -rf $(pkg)-$(dfsg_version)

override_dh_auto_configure:
	dh_auto_configure -- --enable-vte --enable-the-force
	sed -i -r 's,^sys_lib_dlsearch_path_spec="(.*)$$,sys_lib_dlsearch_path_spec="/usr/lib /lib \1,' $(CURDIR)/libtool

override_dh_auto_install:
	dh_auto_install
	#chrpath -d $(CURDIR)/debian/tmp/usr/bin/geany \
	#	$(CURDIR)/debian/tmp/usr/lib/geany/*.so
	-rm -f $(CURDIR)/debian/tmp/usr/share/geany/GPL-2
	-rm -f $(CURDIR)/debian/tmp/usr/share/doc/geany/COPYING \
	       $(CURDIR)/debian/tmp/usr/share/doc/geany/ScintillaLicense.txt \
	       $(CURDIR)/debian/tmp/usr/share/doc/geany/AUTHORS \
	       $(CURDIR)/debian/tmp/usr/share/doc/geany/ChangeLog
	-rm -f $(CURDIR)/debian/tmp/usr/lib/geany/*.la
	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/geany/*.la

override_dh_install:
	dh_install --list-missing

override_dh_gencontrol:
	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}'`," \
		>> debian/geany.substvars
	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}'`" \
		>> debian/geany.substvars
	dh_gencontrol

=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz

opts=dversionmangle=s/\+dfsg(\.\d+)?$// \
http://download.geany.org/geany-(.*)\.tar\.gz

## geany 1.24.1+dfsg

=== wscript ===
--- 
+++ 
@@ -45,13 +45,16 @@
 from waflib import Logs, Options, Scripting, Utils
 from waflib.Configure import ConfigurationContext
 from waflib.Errors import WafError
-from waflib.TaskGen import feature
+from waflib.TaskGen import feature, before_method
+from waflib.Tools.compiler_c import c_compiler
+from waflib.Tools.compiler_cxx import cxx_compiler
 
 
 APPNAME = 'geany'
-VERSION = '1.23.1'
+VERSION = '1.24.1'
 LINGUAS_FILE = 'po/LINGUAS'
 MINIMUM_GTK_VERSION = '2.16.0'
+MINIMUM_GTK3_VERSION = '3.0.0'
 MINIMUM_GLIB_VERSION = '2.20.0'
 
 top = '.'
@@ -102,6 +105,7 @@
     'tagmanager/ctags/read.c',
     'tagmanager/ctags/rest.c',
     'tagmanager/ctags/ruby.c',
+    'tagmanager/ctags/rust.c',
     'tagmanager/ctags/sh.c',
     'tagmanager/ctags/sort.c',
     'tagmanager/ctags/sql.c',
@@ -194,7 +198,6 @@
 
     conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
     conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
-    conf.check_cc(function_name='gethostname', header_name='unistd.h', mandatory=False)
     conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
     conf.check_cc(function_name='strstr', header_name='string.h')
 
@@ -211,15 +214,21 @@
     _load_intltool_if_available(conf)
 
     # GTK / GIO version check
-    conf.check_cfg(package='gtk+-2.0', atleast_version=MINIMUM_GTK_VERSION, uselib_store='GTK',
+    gtk_package_name = 'gtk+-3.0' if conf.options.use_gtk3 else 'gtk+-2.0'
+    minimum_gtk_version = MINIMUM_GTK3_VERSION if conf.options.use_gtk3 else MINIMUM_GTK_VERSION
+    conf.check_cfg(package=gtk_package_name, atleast_version=minimum_gtk_version, uselib_store='GTK',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='glib-2.0', atleast_version=MINIMUM_GLIB_VERSION, uselib_store='GLIB',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='gmodule-2.0', uselib_store='GMODULE',
         mandatory=True, args='--cflags --libs')
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
-    gtk_version = conf.check_cfg(modversion='gtk+-2.0', uselib_store='GTK') or 'Unknown'
+    gtk_version = conf.check_cfg(modversion=gtk_package_name, uselib_store='GTK') or 'Unknown'
     conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')
+    # remember GTK version for the build step
+    conf.env['gtk_package_name'] = gtk_package_name
+    conf.env['minimum_gtk_version'] = minimum_gtk_version
+    conf.env['use_gtk3'] = conf.options.use_gtk3
 
     # Windows specials
     if is_win32:
@@ -229,14 +238,17 @@
             _add_to_env_and_define(conf, 'PREFIX', new_prefix, quote=True)
             _add_to_env_and_define(conf, 'BINDIR', os.path.join(new_prefix, 'bin'), quote=True)
         _add_to_env_and_define(conf, 'DOCDIR', os.path.join(conf.env['PREFIX'], 'doc'), quote=True)
-        _add_to_env_and_define(conf, 'LIBDIR', conf.env['PREFIX'], quote=True)
+        _add_to_env_and_define(conf, 'LIBDIR', '%s/lib' % conf.env['PREFIX'], quote=True)
         conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
         # overwrite LOCALEDIR to install message catalogues properly
         conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
         # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
         conf.undefine('DATADIR')
         conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
-        conf.env.append_value('LINKFLAGS_cprogram', ['-mwindows'])
+        conf.env.append_value('LINKFLAGS_cprogram', [
+            '-mwindows',
+            '-static-libgcc',
+            '-static-libstdc++'])
         conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
     else:
         conf.env['cshlib_PATTERN'] = '%s.so'
@@ -256,17 +268,3 @@
     conf.define('ENABLE_NLS', 1)
     conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
     conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)
-    conf.define('GEANY_DOCDIR', conf.env['DOCDIR'], quote=True)
-    conf.define('GEANY_LIBDIR', '' if is_win32 else conf.env['LIBDIR'], quote=True)
-    conf.define('GEANY_PREFIX', '' if is_win32 else conf.env['PREFIX'], quote=True)
-    conf.define('PACKAGE', APPNAME, quote=True)
-    conf.define('VERSION', VERSION, quote=True)
-    conf.define('REVISION', revision or '-1', quote=True)
-
-    conf.define('GETTEXT_PACKAGE', APPNAME, quote=True)
-
-    # no VTE on Windows
-    if is_win32:
-        conf.options.no_vte = True
-
-    _define_from_opt(conf, 'HAVE_PLUGINS', not conf.options.no_plugins, None)

=== debian/changelog ===
geany (1.24.1+dfsg-1) unstable; urgency=medium

  * [b5fa158] Imported Upstream version 1.24+dfsg
  * [e675c2e] Imported Upstream version 1.24.1+dfsg
  * [2dcf5a3] refresh 20_add_debian_specific_filetypes.patch against 1.24
  * [2c30296] Standards-Version: 3.9.5
  * [38a6aaa] add a lintian override for the templates which contain license texts
  * [55e5423] add signature check for downloads

 -- Evgeni Golov <evgeni@debian.org>  Sat, 19 Apr 2014 14:30:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
 Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 
 Package: geany
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -41,8 +41,8 @@
 	dh_install --list-missing
 
 override_dh_gencontrol:
-	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}'`," \
+	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}' |sed 's#[^0-9]##g'`," \
 		>> debian/geany.substvars
-	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}'`" \
+	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}' |sed 's#[^0-9]##g'`" \
 		>> debian/geany.substvars
 	dh_gencontrol

=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz

opts=dversionmangle=s/\+dfsg(\.\d+)?$//,pgpsigurlmangle=s/$/.sig/ \
http://download.geany.org/geany-(.*)\.tar\.gz

## geany 1.25+dfsg

=== debian/changelog ===
geany (1.25+dfsg-1) unstable; urgency=medium

  * [f081631] Imported Upstream version 1.25+dfsg

 -- Evgeni Golov <evgeni@debian.org>  Sun, 12 Jul 2015 19:59:06 +0200

geany (1.25~20150705git6ebf90a+dfsg-1) experimental; urgency=medium

  * [43e8700] Imported Upstream version 1.25~20150705git6ebf90a+dfsg
  * [3de0503] make generation of dfsg tarballs more robust
  * [2991f3b] drop versioned depends from libgtk2.0-dev, we have old
    enough versions
  * [39efbfd] refresh patches against Geany 1.25
  * [14e42ba] Standards-Version: 3.9.6
  * [6e86814] do not install libgeany.la

 -- Evgeni Golov <evgeni@debian.org>  Sun, 05 Jul 2015 13:09:50 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,14 @@
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9a-z.~]+)(\+dfsg)?.*$$/\1/p')
 dfsg_version = $(upstream_version)+dfsg
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 get-orig-source:
 	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
-	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
-	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	mkdir $(pkg)-$(dfsg_version)
+	tar --directory="$(pkg)-$(dfsg_version)" --strip-components=1 -xzf $(pkg)_$(upstream_version).orig.tar.gz
 	rm $(pkg)-$(dfsg_version)/waf
 	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
 	rm -rf $(pkg)-$(dfsg_version)
@@ -36,6 +36,7 @@
 	       $(CURDIR)/debian/tmp/usr/share/doc/geany/ChangeLog
 	-rm -f $(CURDIR)/debian/tmp/usr/lib/geany/*.la
 	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/geany/*.la
+	-rm -f $(CURDIR)/debian/tmp/usr/lib/*/libgeany.la
 
 override_dh_install:
 	dh_install --list-missing

## geany 1.26+dfsg

=== wscript ===
--- 
+++ 
@@ -43,23 +43,25 @@
 import os
 import tempfile
 from waflib import Logs, Options, Scripting, Utils
+from waflib.Build import BuildContext
 from waflib.Configure import ConfigurationContext
-from waflib.Errors import WafError
+from waflib.Errors import ConfigurationError, WafError
 from waflib.TaskGen import feature, before_method
 from waflib.Tools.compiler_c import c_compiler
 from waflib.Tools.compiler_cxx import cxx_compiler
 
 
 APPNAME = 'geany'
-VERSION = '1.24.1'
-LINGUAS_FILE = 'po/LINGUAS'
-MINIMUM_GTK_VERSION = '2.16.0'
+VERSION = '1.26'
+LINGUAS_FILE = os.path.join('po', 'LINGUAS')
+MINIMUM_GTK_VERSION = '2.24.0'
 MINIMUM_GTK3_VERSION = '3.0.0'
-MINIMUM_GLIB_VERSION = '2.20.0'
+MINIMUM_GLIB_VERSION = '2.28.0'
+
+GEANY_LIB_VERSION = '0.0.0'
 
 top = '.'
 out = '_build_'
-
 
 mio_sources = set(['tagmanager/mio/mio.c'])
 
@@ -78,13 +80,16 @@
     'tagmanager/ctags/ctags.c',
     'tagmanager/ctags/diff.c',
     'tagmanager/ctags/docbook.c',
+    'tagmanager/ctags/erlang.c',
     'tagmanager/ctags/entry.c',
     'tagmanager/ctags/fortran.c',
     'tagmanager/ctags/get.c',
+    'tagmanager/ctags/go.c',
     'tagmanager/ctags/haskell.c',
     'tagmanager/ctags/haxe.c',
     'tagmanager/ctags/html.c',
     'tagmanager/ctags/js.c',
+    'tagmanager/ctags/json.c',
     'tagmanager/ctags/keyword.c',
     'tagmanager/ctags/latex.c',
     'tagmanager/ctags/lregex.c',
@@ -101,6 +106,7 @@
     'tagmanager/ctags/r.c',
     'tagmanager/ctags/perl.c',
     'tagmanager/ctags/php.c',
+    'tagmanager/ctags/powershell.c',
     'tagmanager/ctags/python.c',
     'tagmanager/ctags/read.c',
     'tagmanager/ctags/rest.c',
@@ -117,13 +123,8 @@
     'tagmanager/ctags/vstring.c'])
 
 tagmanager_sources = set([
-    'tagmanager/src/tm_file_entry.c',
-    'tagmanager/src/tm_project.c',
     'tagmanager/src/tm_source_file.c',
-    'tagmanager/src/tm_symbol.c',
     'tagmanager/src/tm_tag.c',
-    'tagmanager/src/tm_tagmanager.c',
-    'tagmanager/src/tm_work_object.c',
     'tagmanager/src/tm_workspace.c'])
 
 scintilla_sources = set(['scintilla/gtk/scintilla-marshal.c'])
@@ -133,12 +134,14 @@
     'src/editor.c', 'src/encodings.c', 'src/filetypes.c', 'src/geanyentryaction.c',
     'src/geanymenubuttonaction.c', 'src/geanyobject.c', 'src/geanywraplabel.c',
     'src/highlighting.c', 'src/keybindings.c',
-    'src/keyfile.c', 'src/log.c', 'src/main.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c',
+    'src/keyfile.c', 'src/log.c', 'src/libmain.c', 'src/msgwindow.c', 'src/navqueue.c', 'src/notebook.c', 'src/osx.c',
     'src/plugins.c', 'src/pluginutils.c', 'src/prefix.c', 'src/prefs.c', 'src/printing.c', 'src/project.c',
-    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/stash.c',
+    'src/sciwrappers.c', 'src/search.c', 'src/socket.c', 'src/spawn.c', 'src/stash.c',
     'src/symbols.c',
     'src/templates.c', 'src/toolbar.c', 'src/tools.c', 'src/sidebar.c',
     'src/ui_utils.c', 'src/utils.c'])
+
+geany_bin_sources = set(['src/main.c'])
 
 geany_icons = {
     'hicolor/16x16/apps':       ['16x16/classviewer-class.png',
@@ -159,6 +162,7 @@
     'hicolor/32x32/actions':    ['32x32/geany-build.png',
                                  '32x32/geany-close-all.png',
                                  '32x32/geany-save-all.png'],
+    'hicolor/32x32/apps':       ['32x32/geany.png'],
     'hicolor/48x48/actions':    ['48x48/geany-build.png',
                                  '48x48/geany-close-all.png',
                                  '48x48/geany-save-all.png'],
@@ -184,8 +188,10 @@
     conf.check_waf_version(mini='1.6.1')
 
     conf.load('compiler_c')
+    _check_c99(conf)
     is_win32 = _target_is_win32(conf)
 
+    visibility_hidden_supported = conf.check_cc(cflags=['-Werror', '-fvisibility=hidden'], mandatory=False)
     conf.check_cc(header_name='fcntl.h', mandatory=False)
     conf.check_cc(header_name='fnmatch.h', mandatory=False)
     conf.check_cc(header_name='glob.h', mandatory=False)
@@ -197,9 +203,12 @@
     _add_to_env_and_define(conf, 'HAVE_REGCOMP', 1)  # needed for CTags
 
     conf.check_cc(function_name='fgetpos', header_name='stdio.h', mandatory=False)
+    conf.check_cc(function_name='fnmatch', header_name='fnmatch.h', mandatory=False)
     conf.check_cc(function_name='ftruncate', header_name='unistd.h', mandatory=False)
     conf.check_cc(function_name='mkstemp', header_name='stdlib.h', mandatory=False)
     conf.check_cc(function_name='strstr', header_name='string.h')
+
+    conf.check_cc(function_name='pow', header_name='math.h', lib='m', uselib_store='M')
 
     # check sunOS socket support
     if Options.platform == 'sunos':
@@ -225,10 +234,27 @@
     conf.check_cfg(package='gio-2.0', uselib_store='GIO', args='--cflags --libs', mandatory=True)
     gtk_version = conf.check_cfg(modversion=gtk_package_name, uselib_store='GTK') or 'Unknown'
     conf.check_cfg(package='gthread-2.0', uselib_store='GTHREAD', args='--cflags --libs')
+    if conf.options.enable_mac_integration:
+        pkgname = 'gtk-mac-integration-gtk3' if conf.options.use_gtk3 else 'gtk-mac-integration-gtk2'
+        conf.check_cfg(package=pkgname, uselib_store='MAC_INTEGRATION',
+            mandatory=True, args='--cflags --libs')
     # remember GTK version for the build step
     conf.env['gtk_package_name'] = gtk_package_name
+    conf.env['gtk_version'] = gtk_version
     conf.env['minimum_gtk_version'] = minimum_gtk_version
     conf.env['use_gtk3'] = conf.options.use_gtk3
+
+    revision = _get_git_rev(conf)
+
+    # rst2html for the HTML manual
+    if not conf.options.no_html_doc and revision is not None:
+        try:
+            conf.env['RST2HTML'] = _find_rst2html(conf)
+        except WafError:
+            error_msg = '''Documentation enabled but rst2html not found.
+You can explicitly disable building of the HTML manual with --disable-html-docs,
+but you then may not have a local copy of the HTML manual.'''
+            raise WafError(error_msg)
 
     # Windows specials
     if is_win32:
@@ -241,30 +267,5 @@
         _add_to_env_and_define(conf, 'LIBDIR', '%s/lib' % conf.env['PREFIX'], quote=True)
         conf.define('LOCALEDIR', os.path.join('share' 'locale'), quote=True)
         # overwrite LOCALEDIR to install message catalogues properly
-        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share/locale')
+        conf.env['LOCALEDIR'] = os.path.join(conf.env['PREFIX'], 'share', 'locale')
         # DATADIR is defined in objidl.h, so we remove it from config.h but keep it in env
-        conf.undefine('DATADIR')
-        conf.env['DATADIR'] = os.path.join(conf.env['PREFIX'], 'data')
-        conf.env.append_value('LINKFLAGS_cprogram', [
-            '-mwindows',
-            '-static-libgcc',
-            '-static-libstdc++'])
-        conf.env.append_value('LIB_WIN32', ['wsock32', 'uuid', 'ole32', 'iberty'])
-    else:
-        conf.env['cshlib_PATTERN'] = '%s.so'
-        # DATADIR and LOCALEDIR are defined by the intltool tool
-        # but they are not added to the environment, so we need to
-        _add_define_to_env(conf, 'DATADIR')
-        _add_define_to_env(conf, 'LOCALEDIR')
-        docdir = os.path.join(conf.env['DATADIR'], 'doc', 'geany')
-        libdir = os.path.join(conf.env['PREFIX'], 'lib')
-        mandir = os.path.join(conf.env['DATADIR'], 'man')
-        _define_from_opt(conf, 'DOCDIR', conf.options.docdir, docdir)
-        _define_from_opt(conf, 'LIBDIR', conf.options.libdir, libdir)
-        _define_from_opt(conf, 'MANDIR', conf.options.mandir, mandir)
-
-    revision = _get_git_rev(conf)
-
-    conf.define('ENABLE_NLS', 1)
-    conf.define('GEANY_LOCALEDIR', '' if is_win32 else conf.env['LOCALEDIR'], quote=True)
-    conf.define('GEANY_DATADIR', 'data' if is_win32 else conf.env['DATADIR'], quote=True)

=== debian/changelog ===
geany (1.26+dfsg-1) unstable; urgency=medium

  * [15f8c2e] Update upstream signing key
  * [138bf6e] Switch to copyright-format 1.0
  * [6e780b0] Add repacksuffix to debian/watch
  * [79ec94c] Drop get-orig-source bits.
    We're using Files-Excluded now.
  * [d7db5d9] Imported Upstream version 1.26+dfsg

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 24 Nov 2015 15:01:10 +0800

geany (1.26-1) UNRELEASED; urgency=medium

  [ Evgeni Golov ]
  * [c628bb0] Imported Upstream version 1.26~git20151108+dfsg
  * [aab78c7] update 20_add_debian_specific_filetypes.patch
  * [577b467] update 20_use_sensible_browser.patch
  * [1c2175b] update 20_load_plugins_from_all_paths.patch

  [ Chow Loong Jin ]
  * [fac7562] Imported Upstream version 1.26
  * [9772408] Drop geany.menu.
    We're migrating away from the menu system as per
    https://lists.debian.org/debian-devel-announce/2015/09/msg00000.htmla

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 18 Nov 2015 12:02:26 +0800

## geany 1.27

=== debian/changelog ===
geany (1.27-1) unstable; urgency=medium

  * [3d76fe6] Imported Upstream version 1.27
  * [e4625fe] Drop Files-Excluded line from d/copyright
    waf has been dropped upstream

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 13 Mar 2016 21:42:46 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Homepage: http://www.geany.org
 Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 9), libgtk2.0-dev (>= 2.10), libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), libgtk2.0-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
+Standards-Version: 3.9.6
 
 Package: geany
 Architecture: any

=== debian/watch ===
version=3

#http://sf.net/geany/geany-(.*)\.tar\.gz

opts=dversionmangle=s/\+dfsg(\.\d+)?$//,pgpsigurlmangle=s/$/.sig/,repacksuffix=+dfsg \
http://download.geany.org/geany-(.*)\.tar\.gz

## geany 1.28

=== debian/changelog ===
geany (1.28-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Evgeni Golov <evgeni@debian.org>  Sun, 11 Sep 2016 09:31:42 +0200

geany (1.28-1) unstable; urgency=medium

  [ Chow Loong Jin ]
  * [7f7df81] Imported Upstream version 1.28

  [ Evgeni Golov ]
  * [2c63766] use canonical https urls for Vcs-* fields
  * [788dcb0] Standards-Version: 3.9.8

 -- Evgeni Golov <evgeni@debian.org>  Mon, 22 Aug 2016 20:39:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,18 +8,6 @@
 
 override_dh_autoreconf:
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
-
-upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9a-z.~]+)(\+dfsg)?.*$$/\1/p')
-dfsg_version = $(upstream_version)+dfsg
-pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
-
-get-orig-source:
-	uscan --noconf --force-download --rename --repack --download-current-version --destdir=.
-	mkdir $(pkg)-$(dfsg_version)
-	tar --directory="$(pkg)-$(dfsg_version)" --strip-components=1 -xzf $(pkg)_$(upstream_version).orig.tar.gz
-	rm $(pkg)-$(dfsg_version)/waf
-	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
-	rm -rf $(pkg)-$(dfsg_version)
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-vte --enable-the-force

## geany 1.29

=== debian/changelog ===
geany (1.29-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * [dffc7cc] New upstream version 1.29
  * [bbd23eb] drop 30_fix_invisible_fields_with_gtk3.patch, applied upstream
  * [c6cfa9c] update conf.c location in 20_debian_control_tags.patch

  [ Chow Loong Jin ]
  * [ffd5baf] Drop vStringTerminate

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 16 Nov 2016 22:55:28 +0800

geany (1.28-2) unstable; urgency=medium

  * Custom theming fixes for Adwaita 3.20/GTK 3.20 (Closes: #835370)
  * drop des@ from uploaders (Closes: #838044)
  * mark geany-common Multi-Arch: foreign (closes: 813757)

 -- Evgeni Golov <evgeni@debian.org>  Fri, 23 Sep 2016 16:21:07 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Geany Packaging Team <pkg-geany-team@lists.alioth.debian.org>
-Uploaders: Damián Viano <des@debian.org>, Chow Loong Jin <hyperair@debian.org>,
+Uploaders: Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
-Vcs-Git: git://anonscm.debian.org/pkg-geany/packages/geany.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-geany/packages/geany.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
 Build-Depends: debhelper (>= 9), libgtk2.0-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 
 Package: geany
 Architecture: any
@@ -38,6 +38,7 @@
 Replaces: geany (<< 0.21-1~)
 Breaks: geany (<< 0.21-1~)
 Architecture: all
+Multi-Arch: foreign
 Description: fast and lightweight IDE -- common files
  Geany is a small and lightweight integrated development environment.
  It was developed to provide a small and fast IDE, which has only a

## geany 1.31

=== debian/changelog ===
geany (1.31-1) unstable; urgency=medium

  * [515429f] New upstream version 1.31

 -- Chow Loong Jin <hyperair@debian.org>  Sat, 22 Jul 2017 00:58:52 +0800

geany (1.30.1-1) experimental; urgency=medium

  * [187ca62] Imported Upstream version 1.30.1

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 21 Mar 2017 18:07:41 +0800

geany (1.30-1) experimental; urgency=medium

  * [1498191] Imported Upstream version 1.30

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 Mar 2017 12:08:52 +0800

## geany 1.32

=== debian/changelog ===
geany (1.32-2) unstable; urgency=medium

  * [63e6a67] Split build-deps into multiple lines
  * [8d2ab35] Build with gtk3
  * [1971363] Extract GEANY_ABI_VERSION and GEANY_API_VERSION properly.
    These values are shifted left by some bits when gtk3 is enabled, so we can't
    just use awk magic alone to dig it out of plugindata.h

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 09 Jan 2018 01:17:14 +0800

geany (1.32-1) unstable; urgency=medium

  * [59dd949] Add eht16's GPG key to signing-key.asc
  * [288ae1a] New upstream version 1.32

 -- Chow Loong Jin <hyperair@debian.org>  Sun, 24 Dec 2017 18:09:25 +0800

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 	NOCONFIGURE=1 dh_autoreconf ./autogen.sh
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-vte --enable-the-force
+	dh_auto_configure -- --enable-vte --enable-the-force --enable-gtk3
 	sed -i -r 's,^sys_lib_dlsearch_path_spec="(.*)$$,sys_lib_dlsearch_path_spec="/usr/lib /lib \1,' $(CURDIR)/libtool
 
 override_dh_auto_install:
@@ -29,9 +29,13 @@
 override_dh_install:
 	dh_install --list-missing
 
-override_dh_gencontrol:
-	echo -n "geany:Provides=geany-abi-`grep 'define GEANY_ABI_VERSION' src/plugindata.h |awk '{print $$3}' |sed 's#[^0-9]##g'`," \
-		>> debian/geany.substvars
-	echo " geany-api-`grep 'define GEANY_API_VERSION' src/plugindata.h |awk '{print $$3}' |sed 's#[^0-9]##g'`" \
-		>> debian/geany.substvars
-	dh_gencontrol
+debian/dumpabiver: debian/dumpabiver.c
+	$(CC) -o $@ $< \
+		-Isrc -Isrc/tagmanager -Iscintilla/include \
+		$(shell pkg-config --cflags --libs glib-2.0 gtk+-3.0 gthread-2.0) \
+		-DGTK -DGEANY_PRIVATE
+
+override_dh_gencontrol: debian/dumpabiver
+	eval $(shell $<) && \
+	dh_gencontrol -- \
+		"-Vgeany:Provides=$${GEANY_ABI}, $${GEANY_API}"

## geany 1.33

=== debian/changelog ===
geany (1.33-1) unstable; urgency=medium

  * [f8a8a32] New upstream version 1.33

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 17 Apr 2018 01:07:14 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,14 @@
 Homepage: http://www.geany.org
 Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
-Build-Depends: debhelper (>= 9), libgtk2.0-dev, libglib2.0-dev, libatk1.0-dev, libpango1.0-dev, intltool, chrpath, dh-autoreconf
+Build-Depends: debhelper (>= 9),
+               libgtk-3-dev,
+               libglib2.0-dev,
+               libatk1.0-dev,
+               libpango1.0-dev,
+               intltool,
+               chrpath,
+               dh-autoreconf
 Standards-Version: 3.9.8
 
 Package: geany

## geany 1.34.1

=== debian/changelog ===
geany (1.34.1-1) unstable; urgency=medium

  * [1d91a3c] Update Vcs-* fields to salsa
  * [a70a99b] New upstream version 1.34.1

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 30 Jan 2019 14:22:58 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Chow Loong Jin <hyperair@debian.org>,
  Evgeni Golov <evgeni@debian.org>
 Homepage: http://www.geany.org
-Vcs-Git: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-geany/packages/geany.git
+Vcs-Browser: https://salsa.debian.org/geany-team/geany
+Vcs-Git: https://salsa.debian.org/geany-team/geany.git
 Build-Depends: debhelper (>= 9),
                libgtk-3-dev,
                libglib2.0-dev,

## geany 1.35

=== debian/changelog ===
geany (1.35-1) unstable; urgency=medium

  * [f31e7fb] New upstream version 1.35
  * [e24213e] Update 20_debian_control_tags.patch
  * [b711a9b] Fix makeSimpleTag call in 20_debian_control_tags.patch
  * [cd4c064] Update Standards-Version to 4.2.0

 -- Chow Loong Jin <hyperair@debian.org>  Mon, 13 May 2019 10:00:48 +0800

## geany 1.36

=== debian/changelog ===
geany (1.36-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:41:42 +0100

geany (1.36-1) unstable; urgency=medium

  * [6f3ec40] New upstream version 1.36

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 20 Nov 2019 11:56:18 +0800

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                intltool,
                chrpath,
                dh-autoreconf
-Standards-Version: 3.9.8
+Standards-Version: 4.2.0
 
 Package: geany
 Architecture: any

## geany 1.37.1

=== debian/changelog ===
geany (1.37.1-2) unstable; urgency=medium

  * Reupload to unstable now that geany-plugins has cleared NEW

 -- Chow Loong Jin <hyperair@debian.org>  Fri, 13 Nov 2020 22:56:12 +0800

geany (1.37.1-1) experimental; urgency=medium

  * [0ed792b] New upstream version 1.37.1

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 10 Nov 2020 10:30:45 +0800

geany (1.37-1) experimental; urgency=medium

  * [f98c497] Update description to reflect that we're on gtk3 now
    (LP: #1829373)
  * [cfc3dfd] New upstream version 1.37

 -- Chow Loong Jin <hyperair@debian.org>  Wed, 28 Oct 2020 16:54:23 +0800

=== debian/control ===
--- 
+++ 
@@ -27,8 +27,8 @@
 Description: fast and lightweight IDE
  Geany is a small and lightweight integrated development environment.
  It was developed to provide a small and fast IDE, which has only a
- few dependencies from other packages. It is using only the GTK2 toolkit
- and therefore you need only the GTK2 runtime libraries to run Geany.
+ few dependencies from other packages. It is using only the GTK3 toolkit
+ and therefore you need only the GTK3 runtime libraries to run Geany.
  .
  The basic features of Geany are:
   - syntax highlighting
@@ -49,8 +49,8 @@
 Description: fast and lightweight IDE -- common files
  Geany is a small and lightweight integrated development environment.
  It was developed to provide a small and fast IDE, which has only a
- few dependencies from other packages. It is using only the GTK2 toolkit
- and therefore you need only the GTK2 runtime libraries to run Geany.
+ few dependencies from other packages. It is using only the GTK3 toolkit
+ and therefore you need only the GTK3 runtime libraries to run Geany.
  .
  The basic features of Geany are:
   - syntax highlighting
